%define module Math-BaseCalc
%define version 1.012
%define release %mkrel 1

Summary:	%{module} perl module
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Math/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
Requires:	perl >= 5.0
Buildrequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch:	noarch

%description
This module facilitates the conversion of numbers between various
number bases.  You may define your own digit sets, or use any of
several predefined digit sets.

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install DESTDIR=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes MANIFEST
%{perl_vendorlib}/Math/*
%{_mandir}/*/*



%changelog
* Fri Jun 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.012-1mdv2009.0
+ Revision: 229474
- update to new version 1.012

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.011-8mdv2008.0
+ Revision: 86552
- rebuild


* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.011-7mdk
- Fix Build
- Fix Source URL
- Fix URL
- use mkrel

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.011-6mdk
- rebuild for new Perl

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.011-5mdk
- rebuild

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.011-4mdk
- rebuild for new auto{prov,req}

